import { html as c } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, g = Object.getOwnPropertyDescriptor, l = (a, r, s, o) => {
  for (var e = o > 1 ? void 0 : o ? g(r, s) : r, i = a.length - 1, n; i >= 0; i--)
    (n = a[i]) && (e = (o ? n(r, s, e) : n(e)) || e);
  return o && e && h(r, s, e), e;
};
let t = class extends m {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--moreHorizontalLarge", this.class = "c-pieIcon c-pieIcon--moreHorizontalLarge", this.name = "IconMoreHorizontalLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--moreHorizontalLarge"><path d="M7.688 14.031a1.969 1.969 0 1 1 0 3.938 1.969 1.969 0 0 1 0-3.938ZM14.03 16a1.97 1.97 0 1 0 3.938 0 1.97 1.97 0 0 0-3.938 0Zm8.313 0a1.97 1.97 0 1 0 3.938 0 1.97 1.97 0 0 0-3.938 0Z"></path></svg>`;
  }
};
l([
  p({ type: String, reflect: !0 })
], t.prototype, "size", 2);
l([
  p({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = l([
  f("icon-more-horizontal-large")
], t);
export {
  t as IconMoreHorizontalLarge
};
